### Method

# Xdp Portal create_input_capture_session2

#### Declaration [src]

    void
    xdp_portal_create_input_capture_session2 (
      XdpPortal* portal,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer data
    )

#### Description [src]

Creates an inactive session for input capture.

When the request is done, `callback` will be called. You can then call `xdp_portal_create_input_capture_session2_finish()` to get the results.

This method completes asynchronously. Use `xdp_portal_create_input_capture_session2_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the request is done.

  The argument can be `NULL`.

`data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.